package cz.muni.fi.pa165.icehockeymanager.config;

import com.github.dozermapper.core.loader.api.BeanMappingBuilder;
import cz.muni.fi.pa165.icehockeymanager.dto.*;
import cz.muni.fi.pa165.icehockeymanager.model.Game;
import cz.muni.fi.pa165.icehockeymanager.model.Player;
import cz.muni.fi.pa165.icehockeymanager.model.Team;

public class DozerConfig extends BeanMappingBuilder {
    @Override
    protected void configure() {
        mapping(Player.class, PlayerDTO.class);
        mapping(Player.class, PlayerCreateDTO.class);
        mapping(Team.class, TeamDTO.class);
        mapping(Team.class, TeamCreateDTO.class);
        mapping(Game.class, GameDTO.class);
        mapping(Game.class, GameCreateDTO.class);
    }
}
