package cz.muni.fi.pa165.icehockeymanager.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.Objects;

public class TeamCreateDTO {
    @NotBlank
    @Setter
    @Getter
    private String name;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        TeamDTO teamDTO = (TeamDTO) o;
        return getName().equals(teamDTO.getName());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getName());
    }

}
